Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoVRMLOrientationInterpolator Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h>`

Inheritance diagram for SoVRMLOrientationInterpolator:

List of all members.

## Detailed Description

The SoVRMLOrientationInterpolator class is used to interpolate orientations.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      OrientationInterpolator {
        eventIn      SFFloat    set_fraction      # (-,)
        exposedField MFFloat    key           []  # (-,)
        exposedField MFRotation keyValue      []  # [-1,1],(-,)
        eventOut     SFRotation value_changed
      }

The OrientationInterpolator node interpolates among a list of rotation values specified in the keyValue field. These rotations are absolute in object space and therefore are not cumulative. The keyValue field shall contain exactly as many rotations as there are keyframes in the key field. An orientation represents the final position of an object after a rotation has been applied. An OrientationInterpolator interpolates between two orientations by computing the shortest path on the unit sphere between the two orientations. The interpolation is linear in arc length along this path. The results are undefined if the two orientations are diagonally opposite. If two consecutive keyValue values exist such that the arc length between them is greater than , the interpolation will take place on the arc complement. For example, the interpolation between the orientations (0, 1, 0, 0) and (0, 1, 0, 5.0) is equivalent to the rotation between the orientations (0, 1, 0, 2) and (0, 1, 0, 5.0). A more detailed discussion of interpolators is contained in 4.6.8, Interpolator nodes (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.8>).

## Public Member Functions
| SoVRMLOrientationInterpolator (void)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoMFRotation | keyValue
SoEngineOutput | value_changed
## Protected Member Functions
virtual | ~SoVRMLOrientationInterpolator (void)

## Constructor & Destructor Documentation

SoVRMLOrientationInterpolator::SoVRMLOrientationInterpolator | ( | void |  | ) |

| Constructor.

SoVRMLOrientationInterpolator::~SoVRMLOrientationInterpolator | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLOrientationInterpolator::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLInterpolator.

## Member Data Documentation

SoMFRotation SoVRMLOrientationInterpolator::keyValue

| The keyValue vector.

SoEngineOutput SoVRMLOrientationInterpolator::value_changed

| The eventOut which is sent every time the interpolator has calculated a new value.

The documentation for this class was generated from the following files:

- SoVRMLOrientationInterpolator.h
- OrientationInterpolator.cpp